Subject: Re: Query.

From: Paul A Vixie <[email-masked]>
Date: Tue, 17 Nov 1998 14:12:22 -0800

------- Blind-Carbon-Copy

To: Lee Crawford <[email-masked]>
Subject: Re: Query. 
In-reply-to: Your message of "Tue, 17 Nov 1998 13:11:40 PST."
             <[email-masked]> 
Date: Tue, 17 Nov 1998 14:12:22 -0800
From: Paul A Vixie <[email-masked]>

Lee, you wrote:

>   I am sorry to bother you about this, but it is regarding an RFC of
> your authorship. RFC 2317 describes the use of CNAME records in the
> in-addr.arpa maps to delegate CIDR-style networks to different naming
> authorities. I sent a message to my ISP requesting that they replace all
> 32 of my entries with 'IN CNAME ...' entries and got the following
> response:
> 
>   We have attempted to impliment rfc2317 in the past and failed.  It is a
>   very, very exotic rfc, and is dependant on other exotic rfc's to function,
>   I am told.  We may attempt to impliment it at a later date, but the
>   changes we would have to make to our network to impliment it outway the
>   benefits, unfortunately.
> 
> Are they idiots or am I missing something here.

They might not be idiots but I would dispute their claim of exoticness.
My own home net, 204.152.188.0/26, is handled this way.  First, in the
188.152.204.IN-ADDR.ARPA zone we see:

	$ORIGIN 188.152.204.in-addr.arpa.
	...
	0-26            NS      gw.home.vix.com.        ; master
	                NS      isrv1.pa.vix.com.       ; slave
	0               CNAME   0.0-26
	1               CNAME   1.0-26
	2               CNAME   2.0-26
	3               CNAME   3.0-26
	4               CNAME   4.0-26
	5               CNAME   5.0-26
	...
	59              CNAME   59.0-26
	60              CNAME   60.0-26
	61              CNAME   61.0-26
	62              CNAME   62.0-26
	63              CNAME   63.0-26

Then in that zone we see:

	$ORIGIN 0-26.188.152.204.in-addr.arpa.
	0               PTR     core-net.lh.vix.com.
	                A       255.255.255.248
	1               PTR     gator-core.lh.vix.com.
	2               PTR     victim-core.lh.vix.com.
	; 3,4,5,6
	7               PTR     core-all.lh.vix.com.
	...

It looks to me like the pointed-to zone is just full of PTRs as normal,
plus some highly optional RFC1101 network naming trash.  It also looks
to me like the superzone is just full of stylized CNAMEs plus some NS RRs
to delegate to my other server.

Have your ISP contact me if they can't figure out how to make this work.

Paul

------- End of Blind-Carbon-Copy